<?php 
/*****************************************
*	License: GPLv3 or later
*	License URI: http://www.gnu.org/licenses/gpl-3.0.html
*	
*	Howling Dev Basic WordPress Theme, Copyright 2022 Dan Hunt
*	howling-dev-basic WordPress Theme, Copyright 2022 Dan Hunt
*	howling-dev-basic is distributed under the terms of the GNU GPL
*	
***********************************************************************
*	
*	This program is free software: you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation, either version 3 of the License, or
*	(at your option) any later version.
*	
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*	GNU General Public License for more details.
*	
*	You should have received a copy of the GNU General Public License
*	along with this program. If not, see < http://www.gnu.org/licenses/ >.
*		
***********************************************************************
*****************************************/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">		
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
	<a id='skip-nav' class='screenreader-text' href='#hd-content'><?php _e( 'Skip to Content', 'howling-dev-basic'); ?></a>

	<header>
		<nav id="top-nav" class="navbar navbar-expand-xl">
			<div class="container">
				<?php $logo = wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' ) ?>				
				<?php if ( has_custom_logo() ): ?>
				<a class="navbar-brand" href="<?php echo esc_url(home_url()); ?>">
					<img src=" <?php echo $logo[0] ?>" alt='logo' width='50'>
				</a>
				<?php endif ?>
				<a href="<?php echo esc_url(home_url()); ?>"><h2><?php bloginfo( 'name' ); ?></h2></a>
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive">
					<span class="toggle-me">
						<i class="fas fa-bars" style="color:#fff; font-size:28px;"></i>
					</span>
				</button>
					
					<!-- https://developer.wordpress.org/reference/functions/wp_nav_menu/# -->
					<?php
						wp_nav_menu( array(
							'theme_location' => 'header-menu',
							'container'       => 'div',
    						'container_class' => 'collapse navbar-collapse',
    						'container_id'    => 'navbarResponsive',
    						'menu_class'      => 'navbar-nav ms-auto',
    						'before'		  => '',
    						'after'			  => '',
    						#'walker' 		  => new Howling_Dev_Basic_Walker_Nav_Primary(),
    						'walker' 		  => new quick_walker_nav_menu(),
						) ); 
					?>
				</div>	
		</nav>		
	</header>